Skip to main content

Send a notification to a user

POST 

/nevisidm/api/notification/v1

Since: 2.79.0

Required permission(s): AccessControl.UserView

Sends a notification to the specified user using the given notification type and sending method. The notification is resolved from a template configured for the notification type. Placeholders can be provided per language or as language-independent values that are merged into all language-specific templates.

Request

Body

required
    clientExtId stringrequired

    Possible values: non-empty

    The external ID of the client to which the user belongs.

    userExtId stringrequired

    Possible values: non-empty

    The external ID of the user to send the notification.

    notificationType stringrequired

    Possible values: non-empty, [userNotification1, userNotification2, userNotification3, userNotification4, userNotification5, userNotification6, userNotification7, userNotification8, userNotification9, userNotification10, userNotification11, userNotification12, userNotification13, userNotification14, userNotification15, userNotification16, userNotification17, userNotification18, userNotification19, userNotification20, nevisAdaptNotification]

    Communication event type.

    sendingMethod string[]

    Array of sending methods. Order defines fallback order.

    async boolean

    Defines whether the communication should happen immediately or via the EventQueue.

    placeholders object

    Language specific placeholder key-value pairs. Contains a languageIndependent part for all languages. All placeholders must start with EXTERNAL_ prefix.

    property name* object
    property name* string

Responses

Notification sent successfully

Loading...